Name:           naev
Version:        0.6.1
Release:        %mkrel 1
Summary:        2D space trading and combat game
Group:          Games/Simulation
License:        GPLv3+
URL:            http://naev.org
Source0:        http://downloads.sf.net/naev/%{name}-%{version}.tar.bz2
Patch0:         naev-0.6.1-system-cxsparse.patch

BuildRequires:  lua5.1-devel
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(glu)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(libzip)
BuildRequires:  pkgconfig(openal)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(SDL2_image)
BuildRequires:  pkgconfig(SDL2_mixer)
BuildRequires:  pkgconfig(vorbis)
BuildRequires:  suitesparse-devel
Requires:       %{name}-data = %{version}

%description
NAEV is a 2D space trading and combat game, taking inspiration from the
Escape Velocity series, among others.

You pilot a space ship from a top-down perspective, and are more or less
free to do what you want. As the genre name implies, you’re able to trade
and engage in combat at will. Beyond that, there’s an ever-growing number
of storyline missions, equipment, and ships; even the galaxy itself grows
larger with each release. For the literarily-inclined, there are large
amounts of lore accompanying everything from planets to equipment.

%prep
%setup -q
%autopatch -p1

# Remove built-in libraries
rm -rf lib/lua lib/csparse

%build
# note the ndata-path needs to point directly to the file
%configure2_5x \
    --bindir=%{_gamesbindir} \
    --with-ndata-path=%{_gamesdatadir}/%{name}/ndata-%{version}.zip \
    --enable-lua=shared \
    --enable-debug=no
%make_build

%install
%make_install

# No need to adapt paths, the naev-confupdate.sh is located via ndata
install -d %{buildroot}%{_gamesdatadir}
mv -f %{buildroot}%{_datadir}/%{name} %{buildroot}%{_gamesdatadir}/

%files
%doc README LICENSE AUTHORS TODO
%{_gamesbindir}/%{name}
%dir %{_gamesdatadir}/%{name}
%{_gamesdatadir}/%{name}/naev-confupdate.sh
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_mandir}/man6/%{name}.6*


%changelog
* Sun Jan 10 2016 akien <akien> 0.6.1-1.mga6
+ Revision: 921250
- Version 0.6.1
  o uses SDL2
  o data are packaged separately
- Unbundle csparse

* Wed Oct 15 2014 umeabot <umeabot> 0.5.3-8.mga5
+ Revision: 748447
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5.3-7.mga5
+ Revision: 682760
- Mageia 5 Mass Rebuild

  + wally <wally>
    - update URLs

* Sun Jul 06 2014 wally <wally> 0.5.3-6.mga5
+ Revision: 650270
- build with system lua5.1

* Sat Oct 19 2013 umeabot <umeabot> 0.5.3-5.mga4
+ Revision: 526186
- Mageia 4 Mass Rebuild

* Mon Jun 03 2013 fwang <fwang> 0.5.3-4.mga4
+ Revision: 436023
- rebuild for new libpng

* Sat Jan 12 2013 umeabot <umeabot> 0.5.3-3.mga3
+ Revision: 360666
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jun 03 2012 dams <dams> 0.5.3-2.mga3
+ Revision: 253806
- clean spec file
- use 'gamesdatadir' and 'gamesbindir' to install game
- remove icon and .desktop patch as now fix in upstream tarball

* Sat Jun 02 2012 petos <petos> 0.5.3-1.mga3
+ Revision: 253421
- Updated to new version 0.5.3
- Update to new version 0.5.2

* Sat Mar 03 2012 petos <petos> 0.5.1-2.mga2
+ Revision: 217387
- Update to new version 0.5.1

* Sat Oct 15 2011 petos <petos> 0.5.0-1.mga2
+ Revision: 155401
- pixmap added to the package
- patch added
- Updated to version 0.5.0

* Thu Sep 15 2011 fwang <fwang> 0.4.2-2.mga2
+ Revision: 143699
- fix zlib includes

* Mon Apr 11 2011 xrogaan <xrogaan> 0.4.2-2.mga1
+ Revision: 83336
- add a missing Requires

* Wed Mar 02 2011 philippem <philippem> 0.4.2-1.mga1
+ Revision: 62497
- fix wrong BuildRequires on lib64jpeg-devel

  + xrogaan <xrogaan>
    - imported package naev

